#161 postgres insert into dialog generates error

1.5.x
closed-fixed
modules (454)
5
2009-07-20
2009-07-17
Patrick F.
No

postgres[38330]: [4-1] ERROR: syntax error at end of input at character 446

This is the statement from postgres logfile
insert into dialog (hash_entry,hash_id,callid,from_uri,from_tag,to_uri,to_tag,caller_sock,callee_sock,start_time,state,timeout,caller_cseq,callee_cseq,caller_route_
set,callee_route_set,caller_contact,callee_contact ) values (3192,901188333,'XXXXXXXXXXX-XXXX@XXXXXXXXXX','sip:5555551212@192.168.113.92','8a05ee72','sip:5555551313
@192.168.93.27','80380344-69E','udp:192.168.93.27:5060','udp:192.168.93.27:5060',1247856162,3,1247856161,'1','1',NULL

Discussion

  • Patrick F.

    Patrick F. - 2009-07-17

    version: opensips 1.5.2-notls (x86_64/freebsd)
    flags: STATS: Off, USE_IPV6, USE_TCP, DISABLE_NAGLE, USE_MCAST, SHM_MEM, SHM_MMAP, PKG_MALLOC, F_MALLOC, FAST_LOCK-ADAPTIVE_WAIT
    Version info:

    ADAPTIVE_WAIT_LOOPS=1024, MAX_RECV_BUFFER_SIZE 262144, MAX_LISTEN 16, MAX_URI_SIZE 1024, BUF_SIZE 65535
    poll method support: poll, select, kqueue.
    svnrevision: 2:5888M
    @(#) $Id: main.c 5887 2009-07-16 11:47:46Z bogdan_iancu $
    main.c compiled on 14:30:11 Jul 17 2009 with gcc 4.2.1

     
  • Bogdan-Andrei Iancu

    Hi Patrick.

    Do you get any other error in the opensips logs? like "error while preparing insert operation" ?

    Bogdan

     
  • Bogdan-Andrei Iancu

    • assigned_to: nobody --> bogdan_iancu
     
  • Bogdan-Andrei Iancu

    Hi Patrick,

    the fix is available on SVN - please upload and test again.

    Thanks and regards,
    Bogdan

     
  • Bogdan-Andrei Iancu

    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks